local boss_centipede = EntityGetWithTag("boss_centipede")

if #boss_centipede > 0 then
  local entity_id = GetUpdatedEntityID()
  
  EntityAddComponent(boss_centipede[1], "CollisionTriggerComponent", {
    width="256",
    height="256" ,
    radius="256",
    required_tag="doom_bringer",
    destroy_this_entity_when_triggered="0"
  })
  EntityAddComponent(boss_centipede[1], "LuaComponent", {
    script_collision_trigger_hit="data/scripts/buildings/doom_bringer_death.lua",
    execute_every_n_frame="600"
  })
  EntityKill(entity_id)
end
